Self-serve contractor payments
Self Serve Get Contractor Invoice Details
Returns the contractor's own invoice with display line items, bill-to/bill-from parties and signed attachment URLs.
GEThttps://api.toku.com/hris/self-serve-get-contractor-invoice-details
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/self-serve-get-contractor-invoice-details?invoiceID=%3CinvoiceID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"invoicePaymentID": "string",
"invoiceNumber": "string",
"invoiceDate": "string",
"dueDate": "string",
"submittedAt": "string",
"approvedAt": "string",
"payDate": "string",
"approvalDeadline": "string",
"waitingOnApprover": "string",
"totalAmount": 0,
"currencyCode": "string",
"status": "string",
"rejectionReason": "string",
"lineItems": [
{
"invoicePaymentLineItemID": "string",
"description": "string",
"quantity": 0,
"unitPrice": 0,
"amount": 0,
"taxAmount": 0,
"discountAmount": 0,
"total": 0,
"category": "string",
"paymentMethodType": "BANK_TRANSFER",
"hrisBankAccountID": "string",
"cryptoCurrency": "string",
"cryptoNetwork": "string",
"merchant": "string",
"spentAmount": "string",
"spentCurrencyCode": "string",
"fxRate": "string",
"expensedDate": "string"
}
],
"lineItemExactAmounts": [
{
"quantity": "string",
"unitPrice": "string"
}
],
"groupedTotals": {
"bankTotals": [
{
"currencyCode": "string",
"total": "string"
}
],
"cryptoTotals": [
{
"tokenSymbol": "string",
"networkName": "string",
"total": "string"
}
]
},
"notes": "string",
"attachments": [
{
"id": "string",
"fileName": "string",
"fileKey": "string",
"fileSize": 0,
"mimeType": "string",
"uploadedAt": "string",
"downloadUrl": "string"
}
],
"billToName": "string",
"billToAddressLines": [
"string"
],
"showTokuBranding": true,
"billFrom": {
"name": "string",
"addressLines": [
"string"
],
"taxId": "string",
"email": "string",
"phone": "string"
},
"isLegacyInvoice": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
invoiceIDstring<uuid>requiredResponse
200Successful response
invoicePaymentIDstringrequiredinvoiceNumberstring | nullinvoiceDatestring | nulldueDatestring | nullsubmittedAtstring | nullapprovedAtstring | nullpayDatestring | nullapprovalDeadlinestring | nullwaitingOnApproverstring | nulltotalAmountnumber | nullcurrencyCodestring | nullstatusstring | nullrejectionReasonstring | nulllineItemsarray | nullShow child attributes
invoicePaymentLineItemIDstring | nulldescriptionstring | nullquantitynumber | nullunitPricenumber | nullamountnumber | nulltaxAmountnumber | nulldiscountAmountnumber | nulltotalnumber | nullcategorystring | nullpaymentMethodTypestring | nullAvailable options: BANK_TRANSFER, CRYPTO_WALLET, null
hrisBankAccountIDstring | nullcryptoCurrencystring | nullcryptoNetworkstring | nullmerchantstring | nullspentAmountstring | nullspentCurrencyCodestring | nullfxRatestring | nullexpensedDatestring | nulllineItemExactAmountsarray | nullShow child attributes
quantitystringrequiredunitPricestringrequiredgroupedTotalsobject | nullShow child attributes
bankTotalsarray | nullShow child attributes
currencyCodestring | nulltotalstring | nullcryptoTotalsarray | nullShow child attributes
tokenSymbolstring | nullnetworkNamestring | nulltotalstring | nullnotesstring | nullattachmentsarray | nullShow child attributes
idstring | nullfileNamestring | nullfileKeystring | nullfileSizenumber | nullmimeTypestring | nulluploadedAtstring | nulldownloadUrlstring | nullbillToNamestring | nullbillToAddressLinesarray | nullshowTokuBrandingboolean | nullbillFromobject | nullShow child attributes
namestring | nulladdressLinesarray | nulltaxIdstring | nullemailstring | nullphonestring | nullisLegacyInvoiceboolean | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits